GNU bug report logs - #39576
qdbm: fix segfault during test

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Thomas Danckaert <post@HIDDEN>; Done: Thomas Danckaert <post@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 39576-done <at> debbugs.gnu.org:


Received: (at 39576-done) by debbugs.gnu.org; 22 Feb 2020 16:49:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 22 11:49:43 2020
Received: from localhost ([127.0.0.1]:49917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j5XyJ-0006oz-Ee
	for submit <at> debbugs.gnu.org; Sat, 22 Feb 2020 11:49:43 -0500
Received: from s02.spamexperts.axc.nl ([185.182.56.112]:43761)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <post@HIDDEN>) id 1j5XyH-0006oc-3D
 for 39576-done <at> debbugs.gnu.org; Sat, 22 Feb 2020 11:49:42 -0500
Received: from vserver42.axc.nl ([185.182.56.92])
 by s02.spamexperts.axc.nl with esmtps
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256) (Exim 4.92)
 (envelope-from <post@HIDDEN>)
 id 1j5Xy7-0002IU-T1; Sat, 22 Feb 2020 17:49:33 +0100
Received: from mail.axc.nl ([185.182.56.42])
 by vserver42.axc.nl with esmtp (Exim 4.92)
 (envelope-from <post@HIDDEN>)
 id 1j5Xxu-006l74-Nx; Sat, 22 Feb 2020 17:49:18 +0100
Date: Sat, 22 Feb 2020 17:49:23 +0100 (CET)
Message-Id: <20200222.174923.1060746429462706710.post@HIDDEN>
To: 39576-done <at> debbugs.gnu.org
Subject: qdbm
From: Thomas Danckaert <post@HIDDEN>
X-Mailer: Mew version 6.8 on Emacs 26.3
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii; format=flowed
Content-Transfer-Encoding: 7bit
PrimaryMX: Accepted email from trusted host. Hint: This skips spam scanning so
 make sure other host is not vulnerable
SPFCheck: Server passes SPF test, -30 Spam score
X-Relay-Host: 185.182.56.42
X-Spam-Score: 0.0 (/)
X-Spam-Report: Spam detection software,
 running on the system "vserver42.axc.nl", 
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Tobias, I haven't contributed in a while (a job change
 made it harder), but I'm still an enthusiastic user. Sorry for the late reply!
 It seems like your answer didn't get forwarded to my mailbox (either that,
 or I accidentally removed it... I feel both are equally likely), so I only
 noticed when browsing th [...] 
 Content analysis details:   (0.0 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
SpamTally: Final spam score: -60
X-AuthUser: 
X-Originating-IP: 185.182.56.92
X-SpamExperts-Domain: vserver42.axc.nl
X-SpamExperts-Username: 185.182.56.92
Authentication-Results: spamexperts.axc.nl;
 auth=pass smtp.auth=185.182.56.92@HIDDEN
X-SpamExperts-Outgoing-Class: unsure
X-SpamExperts-Outgoing-Evidence: Combined (0.34)
X-Recommended-Action: accept
X-Filter-ID: Mvzo4OR0dZXEDF/gcnlw0eYBE/I2+wvb5IJ3WTuccampSDasLI4SayDByyq9LIhVRzvu8BfgoUcw
 ziDagpzih0TNWdUk1Ol2OGx3IfrIJKyP9eGNFz9TW9u+Jt8z2T3K4OpfPTTDZh4FSNtpAuxVx3Lz
 TP9n0szxJXvGfFC+tGkM1kco7nHb02L70Ddr5xCeCNkMkPiMYC+wMzHEMLPorRMnvSTKALgyjY32
 k5XcNywA8cYjACAs+j94NvLRgDL8nFDQUbFURApy7esejekdejT2d4Y0rX/uc0+0oPg4VkPLRaO3
 oh2Y+QPhzq1ed4hKcD7V2jOUdrxT7171fBkh8GHx5e4YMH5a+Vxo+Gz4gw5R1KFcGqMiorHmOcHv
 PdiGGnd5bMZA642MQGj9YRs9EL1aXVXUlVJr8Vbwq1V3xNHvedwEZOiZGpb3+9Ee+BivvAeZGm2/
 vPg0ZQqksQN999KJ9zpkh4CBVZNevlN99LDk6xV06FcgZkQoEFV+s1chVLvKs3jED+rkxy9HfVI3
 2FTrRBwxSpmSnAdFirnLhqfjbDWDT8+WvHb0FcGF3/grJLFZV2VsWrEXxYzPJvIeyCEnVSsgPP/M
 gqSGMx92qX+/Ib/3gD1xdv4OjYexFN7ikrXOFs5HMFEZGoDRO2FZTPTY90Jw22XlWGJS/IKY/pdz
 Ei6wFXFynIAMEHHrH0CNkDzLsegeIf5jR5PNTlF6RYUodBVxZKKwU/3hxEpTOS7RtFuayQSHKxuV
 s+RmqoRqdcqmiMLHoZvDtjQbPeJ8jUm91J+p+DXKb3wyn3eY/T90oiHXi3HmJkDj01DdBVNpqbf4
 f16kt1TFUivESAIzqxU4L72wJWxJcMljsOQCEyQOVcZv254a1SspgLrZBCX/VDwb4NGdC76BZ5gO
 ePNGq8OpyKA69LF1Ge2GaGfxmfrRn6l+D10SdUj9UKDNc/KZ5ddazZLk0HmGBjDHQRzM65ehGWjW
 W+CLx9Ho2UJMHLjLRaO3oh2Y+QPhzq1ed4hKlXH8DHoAzZ+YqQ5Fp+AQow9pcoOFGHBepPwNjYi7
 lU+ToexiClidt4bGxZSMDjty
X-Report-Abuse-To: spam@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39576-done
Cc: me@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Tobias,

I haven't contributed in a while (a job change made it harder), but 
I'm still an enthusiastic user.

Sorry for the late reply!  It seems like your answer didn't get 
forwarded to my mailbox (either that, or I accidentally removed it... 
I feel both are equally likely), so I only noticed when browsing the 
guix-patches web interface some time later.

I followed your suggestion about (list ...) and pushed the patch 
(after some gpg key expiry date song and dance...).

Thomas




Notification sent to Thomas Danckaert <post@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Thomas Danckaert <post@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 39576 <at> debbugs.gnu.org:


Received: (at 39576) by debbugs.gnu.org; 12 Feb 2020 17:52:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 12 12:52:06 2020
Received: from localhost ([127.0.0.1]:59004 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j1wBC-0006bU-6M
	for submit <at> debbugs.gnu.org; Wed, 12 Feb 2020 12:52:06 -0500
Received: from tobias.gr ([80.241.217.52]:38816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1j1wB9-0006bH-FD
 for 39576 <at> debbugs.gnu.org; Wed, 12 Feb 2020 12:52:04 -0500
Received: by tobias.gr (OpenSMTPD) with ESMTP id 31dede46
 for <39576 <at> debbugs.gnu.org>; Wed, 12 Feb 2020 17:52:01 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to
 :subject:message-id:references:in-reply-to:date:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=VDuBlItRzsiXBBUuCqhhme
 BJ7xrId3lbbdvS6IQDdFQ=; b=Pr/BtZbO1IAJ3JsSCrxZ65GQkH87SbWvVKyUgB
 DTxr3N7JddKyytI/Uho5Gx/kgk/iWPK9IRT3wtvC4lRnYiJmP7LDxBKsbvw9i7Cc
 7PyJDqufoElypeLl4bk5sUbMonyj1du5jWk0Vi9Kipg4NsXjiofltp/QXHLafxSm
 BZFDVbs8UrA1UG9UkpTpzXPX5gsXjhfxCWYEdKF9bVPVeGNYv5g84dvHc42wIQlD
 2VHTcLXxrBxMsOStskCVx+remzjAXMf6UVLAAvWUDaiH5LFZYUlAh9rREE/z+NIG
 CKSgFp+x/NFlbQTWhMKSaaUDDNLlaEz5y7ZK4VEmeebtbpsg==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 685e1105
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO) for <39576 <at> debbugs.gnu.org>;
 Wed, 12 Feb 2020 17:52:01 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: 39576 <at> debbugs.gnu.org
Subject: Re: [bug#39576] qdbm: fix segfault during test
Message-ID: <877e0rg0c5.fsf@nckx>
References: <20200212.161457.1945473684782544947.post@HIDDEN>
In-reply-to: <20200212.161457.1945473684782544947.post@HIDDEN>
Date: Wed, 12 Feb 2020 18:52:20 +0100
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39576
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Thomas,

Thomas Danckaert =E5=86=99=E9=81=93=EF=BC=9A
> at some point, the package qdbm started running into a segfault=20
> during the test suite.   This small patch fixes that.
>
> If it's ok, I can push the commit myself (I believe I still have=20
> commit rights), but since I haven't contributed in 2 years, I=20
> wanted=20
> to check if the patch meets all the requirements...

Glad to hear you're still a Guixer.

You're listed as =E2=80=98inactive=E2=80=99[0], but TBH I don't know what t=
hat=20
means.  If you're unable to push and/or interested in reactivating=20
your account, let us know.

> -     `( #:configure-flags (list (string-append=20
> "LDFLAGS=3D-Wl,-rpath=3D"
> -                                               (assoc-ref=20
> %outputs "out")
> -                                               "/lib"))))
> +     `(#:configure-flags (list (string-append=20
> "LDFLAGS=3D-Wl,-rpath=3D"
> +                                              (assoc-ref=20
> %outputs "out")
> +                                              "/lib"))

I'd add a short =E2=80=98Fix a segmentation fault in the test suite=E2=80=
=99=20
comment here.

> +       #:make-flags '("CFLAGS=3D-fPIC")))

Sticking to one idiom (list =E2=80=A6) is slightly newbie-friendlier, but=20
LGTM either way.

Thanks!

T G-R

[0]: https://savannah.gnu.org/project/memberlist.php?group=3Dguix

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEfo+u0AlEeO9y5k0W2Imw8BjFSTwFAl5EO1QACgkQ2Imw8BjF
STw0Bg/+NtMg2OtHuEMchwMA0qb9Q/T4A0+i4IPFclbSgl2se3nhl2xNA5kcIOAY
VmRLH611W8MXfnq3o84I7YXTJPnC/A59/y0IyW0r2MaJSEvo5BGq1ym40s72KYoI
EOTd7nEVClZNu4oKJUrY6IM+dEwXcVK2QPcUkn6sh1wrXHlZsXyKRrpEasRnCLEw
HFpOV5qpV9Ia4uATwxqvCCLXAZNUuUdnBgUQIjSUEExaMN+qtjoKOly1V9hpdGCs
j8Qd8qKrMruuEERpJvB/KilVx7haewBIRnoZozHwLbaXTNZnyGiGSIerwDOLEAdJ
UUd/z4OBixpW9bknFwZgHvVrci1gEr6TDotUW+pl3/EdHkSGiVdlfFR3/9BQgSDr
3xs6U0X4KFaZNtbv7eR3AS/et5N7NlCmJOxWR88TE9sXDQjHXqOh0wQmDd2Wnutg
QE0+C/rl1Z0M5eqJazYhuxEm54t9Cqmngpj98dXglI96QCl/YGXaCu3l7I0CEutt
2rzUc9LQ3GEX0NjFlkT3t7ukepwRDqjE8cVcDTPOFP/4TLUXFOclVe7baF2uxrEq
cBv08VuVh2WieFoAV1hKEAxrzAvUfJF+BuCVeML6OifaG8D0qPFMIEKH8wvEodp6
xdOCYTmcz4rqoWDgBLNT16mHOmiLh17JWzfaJheOBhoxa9ltjvI=
=5Wp8
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#39576; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Feb 2020 15:15:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 12 10:15:32 2020
Received: from localhost ([127.0.0.1]:58940 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j1tjY-0002q1-J3
	for submit <at> debbugs.gnu.org; Wed, 12 Feb 2020 10:15:32 -0500
Received: from lists.gnu.org ([209.51.188.17]:40986)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <post@HIDDEN>) id 1j1tjT-0002pp-21
 for submit <at> debbugs.gnu.org; Wed, 12 Feb 2020 10:15:23 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:52990)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <post@HIDDEN>) id 1j1tjR-0002II-Lu
 for guix-patches@HIDDEN; Wed, 12 Feb 2020 10:15:18 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <post@HIDDEN>) id 1j1tjP-0004wL-PW
 for guix-patches@HIDDEN; Wed, 12 Feb 2020 10:15:17 -0500
Received: from s02.spamexperts.axc.nl ([185.182.56.112]:43553)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <post@HIDDEN>)
 id 1j1tjP-0004s0-Ij
 for guix-patches@HIDDEN; Wed, 12 Feb 2020 10:15:15 -0500
Received: from vserver42.axc.nl ([185.182.56.92])
 by s02.spamexperts.axc.nl with esmtps
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256) (Exim 4.92)
 (envelope-from <post@HIDDEN>) id 1j1tjG-0005i2-Cw
 for guix-patches@HIDDEN; Wed, 12 Feb 2020 16:15:12 +0100
Received: from mail.axc.nl ([185.182.56.42])
 by vserver42.axc.nl with esmtp (Exim 4.92)
 (envelope-from <post@HIDDEN>) id 1j1tj4-00H6av-G1
 for guix-patches@HIDDEN; Wed, 12 Feb 2020 16:14:56 +0100
Date: Wed, 12 Feb 2020 16:14:57 +0100 (CET)
Message-Id: <20200212.161457.1945473684782544947.post@HIDDEN>
To: guix-patches@HIDDEN
Subject: qdbm: fix segfault during test
From: Thomas Danckaert <post@HIDDEN>
X-Mailer: Mew version 6.8 on Emacs 26.3
Mime-Version: 1.0
Content-Type: Multipart/Mixed;
 boundary="--Next_Part(Wed_Feb_12_16_14_57_2020_291)--"
Content-Transfer-Encoding: 7bit
PrimaryMX: Accepted email from trusted host. Hint: This skips spam scanning so
 make sure other host is not vulnerable
SPFCheck: Server passes SPF test, -30 Spam score
X-Relay-Host: 185.182.56.42
SpamTally: Final spam score: -30
X-AuthUser: 
X-Originating-IP: 185.182.56.92
X-SpamExperts-Domain: vserver42.axc.nl
X-SpamExperts-Username: 185.182.56.92
Authentication-Results: spamexperts.axc.nl;
 auth=pass smtp.auth=185.182.56.92@HIDDEN
X-SpamExperts-Outgoing-Class: ham
X-SpamExperts-Outgoing-Evidence: Combined (0.16)
X-Recommended-Action: accept
X-Filter-ID: Mvzo4OR0dZXEDF/gcnlw0QHHUXH8HYgJuwhvgiygxCWpSDasLI4SayDByyq9LIhVzl7s0Ne8dPW4
 sZba7tKnDETNWdUk1Ol2OGx3IfrIJKywOmJyM1qr8uRnWBrbSAGDUj/Ish2ZYyAnP2N0jR54blKC
 ZuDzeM/QymeO8B9NFMkKhrBU7tPX1FpfaBooygHmQVFPFt+4EqMnp4CTDhVg0lKlzDUUdXZXKiJE
 9FAeBYpBbCpe79Kozx0nomzoHNuE3M5vj1mDOPKpdpCGjirSghKXEGJ0Tua96W0W3xbHbuytdanO
 U07Z4oQbhfKrYy0P2DgAp0at4W1lubqSgAR5nDxIPj1UU4msT2Odp9D6f/PptQHeGNL6keepTGFH
 NE3ltXmdhPE/B5jGda2JMHgPHufVqHPhyuXDEhWz0PpCAjPwX7d6O/wzQZ9FAcmD4tLUboZD5vPF
 e84pJQGk5dfbFPdfcXgLzsY3kBHC+ZTZl3TVX46X0CZxiSt1URno/ljegXVMCGd+6szRw8j5OyKH
 xdl0M//wiJX8PiYimcXU8jvVPb6Z51AWQAUvAUQbV3oqEaMjfjmXaBok2IyAEprch60jiD6XqsJZ
 tjQxlyCdsewkH/T73EIwbqz61Ya9kHJGooMqtbp97p5MJZpmDulIL9xk/10U/RwlMqO+voIv+rF+
 3gq6rqnjE81sIGMVyiBoDLiaYK/TuEpC0HOvwt+Zv0Xw8BMIsfBCWTvqwtHGsGbsxBoFbdIyTZwD
 0tTyhMSsklGqkhAj/fzCTTH0vVjxb09fs/4FalF2zt2G9F+Zh5wSIeolLegW9U1ak/nmFF+clxAr
 SQkVTJP6lUqKhVaGNxeyOrwKKjLu2x+m4eU59fj4+Chth700TXXXG0k7DwF67cTs80/2FnZg/IMs
 IAdedR70aivL3vK0pyXyba8I0nxuaMYsMSIuo2iM26Zlgq1uCqy3OvQaBMB+1W4nlqpZSKqANVFf
 gdpF0/8I7m7z0r9c3ZdjNJ3zxjoHiKVWNaGkRzQGWLi35T7+KkoEvLoCMXndwcgUdq9CmjcVQOst
 ghA=
X-Report-Abuse-To: spam@HIDDEN
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 185.182.56.112
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

----Next_Part(Wed_Feb_12_16_14_57_2020_291)--
Content-Type: Text/Plain; charset=us-ascii; format=flowed
Content-Transfer-Encoding: 7bit

Hi Guix,

at some point, the package qdbm started running into a segfault 
during the test suite.   This small patch fixes that.

If it's ok, I can push the commit myself (I believe I still have 
commit rights), but since I haven't contributed in 2 years, I wanted 
to check if the patch meets all the requirements...

best,

Thomas

----Next_Part(Wed_Feb_12_16_14_57_2020_291)--
Content-Type: Text/X-Patch; charset=utf-8
Content-Transfer-Encoding: base64
Content-Disposition: inline;
 filename="0001-gnu-qdbm-Fix-segfault-during-tests.patch"
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----Next_Part(Wed_Feb_12_16_14_57_2020_291)----




Acknowledgement sent to Thomas Danckaert <post@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#39576; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 22 Feb 2020 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.